Package com.independentsoft.graph.contacts

# Class ContactPropertyName

java.lang.Object
com.independentsoft.graph.contacts.ContactPropertyName

public class ContactPropertyName extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `ASSISTENT_NAME`
  `static String`
  `BIRTHDAY`
  `static String`
  `CATEGORIES`
  `static String`
  `CHANGE_KEY`
  `static String`
  `CHILDREN`
  `static String`
  `COMPANY_NAME`
  `static String`
  `CREATED_TIME`
  `static String`
  `DEPARTMENT`
  `static String`
  `DISPLAY_NAME`
  `static String`
  `EMAIL_ADDRESSES`
  `static String`
  `FILE_AS`
  `static String`
  `FLAG`
  `static String`
  `GENDER`
  `static String`
  `GENERATION`
  `static String`
  `GIVEN_NAME`
  `static String`
  `ID`
  `static String`
  `IM_ADDRESSES`
  `static String`
  `INITIALS`
  `static String`
  `JOB_TITLE`
  `static String`
  `LAST_MODIFIED_TIME`
  `static String`
  `MANAGER`
  `static String`
  `MIDDLE_NAME`
  `static String`
  `NICK_NAME`
  `static String`
  `OFFICE_LOCATION`
  `static String`
  `OTHER_ADDRESS`
  `static String`
  `PARENT_FOLDER_ID`
  `static String`
  `PERSONAL_NOTES`
  `static String`
  `PHONES`
  `static String`
  `POSTAL_ADDRESSES`
  `static String`
  `PROFESSION`
  `static String`
  `SPOUSE_NAME`
  `static String`
  `SURNAME`
  `static String`
  `TITLE`
  `static String`
  `WEBSITES`
  `static String`
  `WEDDING_ANNIVERSARY`
  `static String`
  `YOMI_COMPANY_NAME`
  `static String`
  `YOMI_GIVEN_NAME`
  `static String`
  `YOMI_SURNAME`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ID

    public static final String ID
    See Also:
      Constant Field Values

  - ### CHANGE_KEY

    public static final String CHANGE_KEY
    See Also:
      Constant Field Values

  - ### ASSISTENT_NAME

    public static final String ASSISTENT_NAME
    See Also:
      Constant Field Values

  - ### BIRTHDAY

    public static final String BIRTHDAY
    See Also:
      Constant Field Values

  - ### CATEGORIES

    public static final String CATEGORIES
    See Also:
      Constant Field Values

  - ### CHILDREN

    public static final String CHILDREN
    See Also:
      Constant Field Values

  - ### COMPANY_NAME

    public static final String COMPANY_NAME
    See Also:
      Constant Field Values

  - ### CREATED_TIME

    public static final String CREATED_TIME
    See Also:
      Constant Field Values

  - ### DEPARTMENT

    public static final String DEPARTMENT
    See Also:
      Constant Field Values

  - ### DISPLAY_NAME

    public static final String DISPLAY_NAME
    See Also:
      Constant Field Values

  - ### EMAIL_ADDRESSES

    public static final String EMAIL_ADDRESSES
    See Also:
      Constant Field Values

  - ### FILE_AS

    public static final String FILE_AS
    See Also:
      Constant Field Values

  - ### FLAG

    public static final String FLAG
    See Also:
      Constant Field Values

  - ### GENDER

    public static final String GENDER
    See Also:
      Constant Field Values

  - ### GENERATION

    public static final String GENERATION
    See Also:
      Constant Field Values

  - ### GIVEN_NAME

    public static final String GIVEN_NAME
    See Also:
      Constant Field Values

  - ### IM_ADDRESSES

    public static final String IM_ADDRESSES
    See Also:
      Constant Field Values

  - ### INITIALS

    public static final String INITIALS
    See Also:
      Constant Field Values

  - ### JOB_TITLE

    public static final String JOB_TITLE
    See Also:
      Constant Field Values

  - ### LAST_MODIFIED_TIME

    public static final String LAST_MODIFIED_TIME
    See Also:
      Constant Field Values

  - ### MANAGER

    public static final String MANAGER
    See Also:
      Constant Field Values

  - ### MIDDLE_NAME

    public static final String MIDDLE_NAME
    See Also:
      Constant Field Values

  - ### NICK_NAME

    public static final String NICK_NAME
    See Also:
      Constant Field Values

  - ### OFFICE_LOCATION

    public static final String OFFICE_LOCATION
    See Also:
      Constant Field Values

  - ### OTHER_ADDRESS

    public static final String OTHER_ADDRESS
    See Also:
      Constant Field Values

  - ### PARENT_FOLDER_ID

    public static final String PARENT_FOLDER_ID
    See Also:
      Constant Field Values

  - ### PERSONAL_NOTES

    public static final String PERSONAL_NOTES
    See Also:
      Constant Field Values

  - ### POSTAL_ADDRESSES

    public static final String POSTAL_ADDRESSES
    See Also:
      Constant Field Values

  - ### PHONES

    public static final String PHONES
    See Also:
      Constant Field Values

  - ### WEBSITES

    public static final String WEBSITES
    See Also:
      Constant Field Values

  - ### PROFESSION

    public static final String PROFESSION
    See Also:
      Constant Field Values

  - ### SPOUSE_NAME

    public static final String SPOUSE_NAME
    See Also:
      Constant Field Values

  - ### SURNAME

    public static final String SURNAME
    See Also:
      Constant Field Values

  - ### TITLE

    public static final String TITLE
    See Also:
      Constant Field Values

  - ### WEDDING_ANNIVERSARY

    public static final String WEDDING_ANNIVERSARY
    See Also:
      Constant Field Values

  - ### YOMI_COMPANY_NAME

    public static final String YOMI_COMPANY_NAME
    See Also:
      Constant Field Values

  - ### YOMI_GIVEN_NAME

    public static final String YOMI_GIVEN_NAME
    See Also:
      Constant Field Values

  - ### YOMI_SURNAME

    public static final String YOMI_SURNAME
    See Also:
      Constant Field Values